%define upstream_name    Math-Random-MT
%define upstream_version 1.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    The Mersenne Twister PRNG
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl-devel

%description
The Mersenne Twister is a pseudorandom number generator developed by Makoto
Matsumoto and Takuji Nishimura. It is described in their paper at
<URL:http://www.math.keio.ac.jp/~nisimura/random/doc/mt.ps>. This algorithm
has a very uniform distribution and is good for modelling purposes but do
not use it for cryptography.

This module implements two interfaces:

Object-oriented interface
    * new()

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.170.0-9.mga9
+ Revision: 1862136
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.170.0-8.mga9
+ Revision: 1795904
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.170.0-7.mga9
+ Revision: 1726901
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.170.0-6.mga8
+ Revision: 1594927
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.170.0-5.mga8
+ Revision: 1529846
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.170.0-4.mga8
+ Revision: 1433837
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.170.0-3.mga7
+ Revision: 1293465
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.170.0-2.mga7
+ Revision: 1249567
- Rebuild for perl 5.28

* Sat Jan 06 2018 shlomif <shlomif> 1.170.0-1.mga7
+ Revision: 1190990
- imported package perl-Math-Random-MT


* Sat Jan 06 2018 cpan2dist 1.17-1mga
- initial mageia release, generated with cpan2dist
